/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

import type { CoreStart } from '@kbn/core/public';
import type { ISearchStart } from '@kbn/data-plugin/public';
import type { DataViewsContract } from '@kbn/data-views-plugin/public';
import type { ChartsPluginStart } from '@kbn/charts-plugin/public';
import type { UsageCollectionStart } from '@kbn/usage-collection-plugin/public';
import type { FieldFormatsStart } from '@kbn/field-formats-plugin/public';
import { createGetterSetter } from '@kbn/kibana-utils-plugin/public';

export const [getIndexPatterns, setIndexPatterns] =
  createGetterSetter<DataViewsContract>('dataViews');

export const [getDataSearch, setDataSearch] = createGetterSetter<ISearchStart>('Search');

export const [getCharts, setCharts] = createGetterSetter<ChartsPluginStart>('Charts');

export const [getCoreStart, setCoreStart] = createGetterSetter<CoreStart>('CoreStart');

export const [getFieldFormats, setFieldFormats] =
  createGetterSetter<FieldFormatsStart>('FieldFormats');

export const [getUsageCollection, setUsageCollection] = createGetterSetter<UsageCollectionStart>(
  'UsageCollection',
  false
);
