/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

import moment from 'moment';

export default {
  rows: [
    {
      label: '0.0-1000.0: bytes',
      xAxisLabel: '@timestamp per 30 sec',
      ordered: {
        date: true,
        interval: 30000,
        min: 1415826260456,
        max: 1415827160456,
      },
      yAxisLabel: 'Count of documents',
      xAxisFormatter: function (thing) {
        return moment(thing);
      },
      tooltipFormatter: function (d) {
        return d;
      },
      series: [
        {
          label: 'jpg',
          values: [
            {
              x: 1415826240000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826270000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826300000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826330000,
              y: 1,
              y0: 0,
            },
            {
              x: 1415826360000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826390000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826420000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826450000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826480000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826510000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826540000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826570000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826600000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826630000,
              y: 1,
              y0: 0,
            },
            {
              x: 1415826660000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826690000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826720000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826750000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826780000,
              y: 1,
              y0: 0,
            },
            {
              x: 1415826810000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826840000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826870000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826900000,
              y: 1,
              y0: 0,
            },
            {
              x: 1415826930000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826960000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826990000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415827020000,
              y: 1,
              y0: 0,
            },
            {
              x: 1415827050000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415827080000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415827110000,
              y: 1,
              y0: 0,
            },
            {
              x: 1415827140000,
              y: 0,
              y0: 0,
            },
          ],
        },
        {
          label: 'css',
          values: [
            {
              x: 1415826240000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826270000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826300000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826330000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415826360000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826390000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826420000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826450000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826480000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826510000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826540000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826570000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826600000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826630000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415826660000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826690000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826720000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826750000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826780000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415826810000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826840000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826870000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826900000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415826930000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826960000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826990000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415827020000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415827050000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415827080000,
              y: 1,
              y0: 0,
            },
            {
              x: 1415827110000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415827140000,
              y: 0,
              y0: 0,
            },
          ],
        },
        {
          label: 'png',
          values: [
            {
              x: 1415826240000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826270000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826300000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826330000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415826360000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826390000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826420000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826450000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826480000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826510000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826540000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826570000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826600000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826630000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415826660000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826690000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826720000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826750000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826780000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415826810000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826840000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826870000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826900000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415826930000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826960000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826990000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415827020000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415827050000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415827080000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415827110000,
              y: 1,
              y0: 1,
            },
            {
              x: 1415827140000,
              y: 0,
              y0: 0,
            },
          ],
        },
        {
          label: 'php',
          values: [
            {
              x: 1415826240000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826270000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826300000,
              y: 1,
              y0: 0,
            },
            {
              x: 1415826330000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415826360000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826390000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826420000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826450000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826480000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826510000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826540000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826570000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826600000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826630000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415826660000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826690000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826720000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826750000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826780000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415826810000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826840000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826870000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826900000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415826930000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826960000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826990000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415827020000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415827050000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415827080000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415827110000,
              y: 0,
              y0: 2,
            },
            {
              x: 1415827140000,
              y: 0,
              y0: 0,
            },
          ],
        },
        {
          label: 'gif',
          values: [
            {
              x: 1415826240000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826270000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826300000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415826330000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415826360000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826390000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826420000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826450000,
              y: 1,
              y0: 0,
            },
            {
              x: 1415826480000,
              y: 1,
              y0: 0,
            },
            {
              x: 1415826510000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826540000,
              y: 3,
              y0: 0,
            },
            {
              x: 1415826570000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826600000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826630000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415826660000,
              y: 1,
              y0: 0,
            },
            {
              x: 1415826690000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826720000,
              y: 1,
              y0: 0,
            },
            {
              x: 1415826750000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826780000,
              y: 1,
              y0: 1,
            },
            {
              x: 1415826810000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826840000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826870000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826900000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415826930000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826960000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826990000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415827020000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415827050000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415827080000,
              y: 1,
              y0: 1,
            },
            {
              x: 1415827110000,
              y: 1,
              y0: 2,
            },
            {
              x: 1415827140000,
              y: 0,
              y0: 0,
            },
          ],
        },
      ],
    },
    {
      label: '1000.0-2000.0: bytes',
      xAxisLabel: '@timestamp per 30 sec',
      ordered: {
        date: true,
        interval: 30000,
        min: 1415826260457,
        max: 1415827160457,
      },
      yAxisLabel: 'Count of documents',
      xAxisFormatter: function (thing) {
        return moment(thing);
      },
      tooltipFormatter: function (d) {
        return d;
      },
      series: [
        {
          label: 'jpg',
          values: [
            {
              x: 1415826240000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826270000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826300000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826330000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826360000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826390000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826420000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826450000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826480000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826510000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826540000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826570000,
              y: 1,
              y0: 0,
            },
            {
              x: 1415826600000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826630000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826660000,
              y: 1,
              y0: 0,
            },
            {
              x: 1415826690000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826720000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826750000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826780000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826810000,
              y: 2,
              y0: 0,
            },
            {
              x: 1415826840000,
              y: 1,
              y0: 0,
            },
            {
              x: 1415826870000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826900000,
              y: 1,
              y0: 0,
            },
            {
              x: 1415826930000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826960000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826990000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415827020000,
              y: 1,
              y0: 0,
            },
            {
              x: 1415827050000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415827080000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415827110000,
              y: 1,
              y0: 0,
            },
            {
              x: 1415827140000,
              y: 0,
              y0: 0,
            },
          ],
        },
        {
          label: 'css',
          values: [
            {
              x: 1415826240000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826270000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826300000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826330000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826360000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826390000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826420000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826450000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826480000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826510000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826540000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826570000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415826600000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826630000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826660000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415826690000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826720000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826750000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826780000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826810000,
              y: 0,
              y0: 2,
            },
            {
              x: 1415826840000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415826870000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826900000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415826930000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826960000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826990000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415827020000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415827050000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415827080000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415827110000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415827140000,
              y: 0,
              y0: 0,
            },
          ],
        },
        {
          label: 'png',
          values: [
            {
              x: 1415826240000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826270000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826300000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826330000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826360000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826390000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826420000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826450000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826480000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826510000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826540000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826570000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415826600000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826630000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826660000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415826690000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826720000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826750000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826780000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826810000,
              y: 0,
              y0: 2,
            },
            {
              x: 1415826840000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415826870000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826900000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415826930000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826960000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826990000,
              y: 1,
              y0: 0,
            },
            {
              x: 1415827020000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415827050000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415827080000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415827110000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415827140000,
              y: 0,
              y0: 0,
            },
          ],
        },
        {
          label: 'php',
          values: [
            {
              x: 1415826240000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826270000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826300000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826330000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826360000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826390000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826420000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826450000,
              y: 1,
              y0: 0,
            },
            {
              x: 1415826480000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826510000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826540000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826570000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415826600000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826630000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826660000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415826690000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826720000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826750000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826780000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826810000,
              y: 0,
              y0: 2,
            },
            {
              x: 1415826840000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415826870000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826900000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415826930000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826960000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826990000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415827020000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415827050000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415827080000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415827110000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415827140000,
              y: 0,
              y0: 0,
            },
          ],
        },
        {
          label: 'gif',
          values: [
            {
              x: 1415826240000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826270000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826300000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826330000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826360000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826390000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826420000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826450000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415826480000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826510000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826540000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826570000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415826600000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826630000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826660000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415826690000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826720000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826750000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826780000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826810000,
              y: 0,
              y0: 2,
            },
            {
              x: 1415826840000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415826870000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826900000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415826930000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826960000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415826990000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415827020000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415827050000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415827080000,
              y: 0,
              y0: 0,
            },
            {
              x: 1415827110000,
              y: 0,
              y0: 1,
            },
            {
              x: 1415827140000,
              y: 0,
              y0: 0,
            },
          ],
        },
      ],
    },
  ],
  xAxisOrderedValues: [
    1415826240000, 1415826270000, 1415826300000, 1415826330000, 1415826360000, 1415826390000,
    1415826420000, 1415826450000, 1415826480000, 1415826510000, 1415826540000, 1415826570000,
    1415826600000, 1415826630000, 1415826660000, 1415826690000, 1415826720000, 1415826750000,
    1415826780000, 1415826810000, 1415826840000, 1415826870000, 1415826900000, 1415826930000,
    1415826960000, 1415826990000, 1415827020000, 1415827050000, 1415827080000, 1415827110000,
    1415827140000,
  ],
  hits: 236,
};
