/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

import type { PaletteOutput } from '@kbn/coloring';
import { functionWrapper } from '@kbn/expressions-plugin/common/expression_functions/specs/tests/utils';
import { systemPalette } from './system_palette';

describe('system_palette', () => {
  const fn = functionWrapper(systemPalette()) as (
    context: null,
    args: { name: string; params?: unknown }
  ) => PaletteOutput<unknown>;

  it('results a palette', () => {
    const result = fn(null, { name: 'test' });
    expect(result).toHaveProperty('type', 'palette');
  });

  it('returns the name', () => {
    const result = fn(null, { name: 'test' });
    expect(result).toHaveProperty('name', 'test');
  });
});
