/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

export {
  AutocompleteType,
  SELECTED_REQUESTS_CLASSNAME,
  STATUS_CODE_LINE_CLASSNAME,
} from './constants';
export {
  getRequestStartLineNumber,
  getRequestEndLineNumber,
  replaceRequestVariables,
  getCurlRequest,
  trackSentRequests,
  getAutoIndentedRequests,
  getRequestFromEditor,
} from './requests_utils';
export {
  getDocumentationLinkFromAutocomplete,
  getMethodCompletionItems,
  getUrlPathCompletionItems,
  getUrlParamsCompletionItems,
  getBodyCompletionItems,
  shouldTriggerSuggestions,
} from './autocomplete_utils';
export { getLineTokens, containsUrlParams } from './tokens_utils';
export { getStatusCodeDecorations } from './status_code_decoration_utils';
export {
  isMapboxVectorTile,
  languageForContentType,
  safeExpandLiteralStrings,
  isJSONContentType,
} from './output_data';
export { convertMapboxVectorTileToJson } from './mapbox_vector_tile';
