/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

import { MonacoEditorActionsProvider } from '../../containers/editor/monaco_editor_actions_provider';

export class EditorRegistry {
  private inputEditor: MonacoEditorActionsProvider | undefined;

  setInputEditor(inputEditor: MonacoEditorActionsProvider) {
    this.inputEditor = inputEditor;
  }

  getInputEditor() {
    return this.inputEditor!;
  }
}

// Create a single instance of this and use as private state.
export const instance = new EditorRegistry();
