/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

export interface MetricsTracker {
  count: (eventName: string) => void;
  load: (eventName: string) => void;
}

export interface ESRequest {
  method: string;
  endpoint: string;
  data?: string;
}

export type BaseResponseType =
  | 'application/json'
  | 'text/csv'
  | 'text/tab-separated-values'
  | 'text/plain'
  | 'application/yaml'
  | 'unknown'
  | 'application/vnd.mapbox-vector-tile';

// Used by history view to restore a request into the editor
export enum RestoreMethod {
  RESTORE = 1,
  RESTORE_AND_EXECUTE = 2,
}
export interface RequestToRestore {
  request: string;
  restoreMethod: RestoreMethod;
}
