/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

export {
  PLUGIN_ID,
  PLUGIN_NAME,
  SVG,
  CSS,
  FONT_FAMILY,
  FONT_WEIGHT,
  BOOLEAN_TRUE,
  BOOLEAN_FALSE,
} from './constants';

export type {
  Output,
  ExpressionShapeFunction,
  ProgressArguments,
  ProgressOutput,
  ExpressionProgressFunction,
  OriginString,
  ShapeRendererConfig,
  NodeDimensions,
  ParentNodeParams,
  ViewBoxParams,
  ProgressRendererConfig,
} from './types';

export { Progress, Shape } from './types';

export { getAvailableShapes, getAvailableProgressShapes } from './lib/available_shapes';
