/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

/**
 * Using a random color generator presented awful colors and unpredictable color schemes.
 * So we needed to come up with a color scheme of our own that creates consistent, pleasing color patterns.
 * The order allows us to guarantee that 1st, 2nd, 3rd, etc values always get the same color.
 */
export const rainbowColors: string[] = [
  '#68BC00',
  '#009CE0',
  '#B0BC00',
  '#16A5A5',
  '#D33115',
  '#E27300',
  '#FCC400',
  '#7B64FF',
  '#FA28FF',
  '#333333',
  '#808080',
  '#194D33',
  '#0062B1',
  '#808900',
  '#0C797D',
  '#9F0500',
  '#C45100',
  '#FB9E00',
  '#653294',
  '#AB149E',
  '#0F1419',
  '#666666',
];
